#include <bits/stdc++.h>
using namespace std;

int n;
pair<int,int> x[200005];
pair<int,int> y[200005];

int main()
{
    cin>>n;
    for(int i=1; i<=n; i++)
    {
        cin>>x[i].first>>x[i].second;
        y[i].first=x[i].second;
        y[i].second=x[i].first;
    }
    sort(x+1,x+n+1);
    sort(y+1,y+n+1);
    int sol=0;
    for(int i=n; i>0; i--)
    {
        sol+=abs(i-x[i].first);
        sol+=abs(i-y[i].first);
    }
    cout<<sol;
    return 0;
}